---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach041Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5B6B0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5D5F0, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5D9E0, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5E980, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5E990, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x5B300, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5B304, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x5B308, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5B460, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5B518, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5B51C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5B520, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5B524, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5B528, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5B530, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5B540, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5B548, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5B550, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5B558, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5B560, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5B568, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x5B5AC, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x5B5B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x5B5B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x5B5C0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x5B5D0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x5B5D8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91E0, offset: 0x91E0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x26E0, symSize: 0x80 }
  - { offsetInCU: 0x9275, offset: 0x9275, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2630, symSize: 0xB0 }
  - { offsetInCU: 0x92D0, offset: 0x92D0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2530, symSize: 0x100 }
  - { offsetInCU: 0x9563, offset: 0x9563, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2760, symSize: 0x220 }
  - { offsetInCU: 0x9748, offset: 0x9748, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2980, symSize: 0xA0 }
  - { offsetInCU: 0x97FB, offset: 0x97FB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2A20, symSize: 0x110 }
  - { offsetInCU: 0x98F1, offset: 0x98F1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2B30, symSize: 0x150 }
  - { offsetInCU: 0x9A4E, offset: 0x9A4E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2C80, symSize: 0x30 }
  - { offsetInCU: 0x9B5B, offset: 0x9B5B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2CB0, symSize: 0x150 }
  - { offsetInCU: 0x9D53, offset: 0x9D53, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2E00, symSize: 0x160 }
  - { offsetInCU: 0x9EF3, offset: 0x9EF3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2F60, symSize: 0x1B0 }
  - { offsetInCU: 0xA10E, offset: 0xA10E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3110, symSize: 0xA0 }
  - { offsetInCU: 0xA1DD, offset: 0xA1DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x31B0, symSize: 0x20 }
  - { offsetInCU: 0xA214, offset: 0xA214, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x31D0, symSize: 0x20 }
  - { offsetInCU: 0xA24B, offset: 0xA24B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x31F0, symSize: 0x20 }
  - { offsetInCU: 0xA3BA, offset: 0xA3BA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3210, symSize: 0x1A0 }
  - { offsetInCU: 0xA6D6, offset: 0xA6D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x33B0, symSize: 0x130 }
  - { offsetInCU: 0xA886, offset: 0xA886, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x34E0, symSize: 0x80 }
  - { offsetInCU: 0xA94F, offset: 0xA94F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3560, symSize: 0x6A0 }
  - { offsetInCU: 0xB4E4, offset: 0xB4E4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x4F70, symSize: 0xB0 }
  - { offsetInCU: 0xB55B, offset: 0xB55B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3C00, symSize: 0x70 }
  - { offsetInCU: 0xB5F7, offset: 0xB5F7, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3C70, symSize: 0xA0 }
  - { offsetInCU: 0xB702, offset: 0xB702, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3D10, symSize: 0x40 }
  - { offsetInCU: 0xB7F8, offset: 0xB7F8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3D50, symSize: 0x2B0 }
  - { offsetInCU: 0xBB9E, offset: 0xBB9E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4000, symSize: 0xC0 }
  - { offsetInCU: 0xBCE4, offset: 0xBCE4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x40C0, symSize: 0x10 }
  - { offsetInCU: 0xBDA6, offset: 0xBDA6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x40D0, symSize: 0x220 }
  - { offsetInCU: 0xC0A3, offset: 0xC0A3, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x42F0, symSize: 0x150 }
  - { offsetInCU: 0xC166, offset: 0xC166, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4440, symSize: 0x3C0 }
  - { offsetInCU: 0xC49B, offset: 0xC49B, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x4800, symSize: 0xF0 }
  - { offsetInCU: 0xC59D, offset: 0xC59D, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x48F0, symSize: 0x270 }
  - { offsetInCU: 0xC84E, offset: 0xC84E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x4B60, symSize: 0xB0 }
  - { offsetInCU: 0xC8B5, offset: 0xC8B5, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x4C10, symSize: 0x1E0 }
  - { offsetInCU: 0xCAB3, offset: 0xCAB3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x4DF0, symSize: 0x180 }
  - { offsetInCU: 0xCD1D, offset: 0xCD1D, size: 0x8, addend: 0x0, symName: _tryFindThread, symObjAddr: 0xBEE0, symBinAddr: 0x5020, symSize: 0x790 }
  - { offsetInCU: 0xD6A0, offset: 0xD6A0, size: 0x8, addend: 0x0, symName: _threadStartHandler, symObjAddr: 0xC670, symBinAddr: 0x57B0, symSize: 0x440 }
  - { offsetInCU: 0xDBCE, offset: 0xDBCE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xCAB0, symBinAddr: 0x5BF0, symSize: 0x310 }
  - { offsetInCU: 0xDFA9, offset: 0xDFA9, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xCDC0, symBinAddr: 0x5F00, symSize: 0x36A }
...
